# Uses of Class
org.apache.sysds.hops.BinaryOp

Packages that use BinaryOp
Package
Description
org.apache.sysds.hops.rewrite

## Uses of BinaryOp in org.apache.sysds.hops.rewrite

Methods in org.apache.sysds.hops.rewrite that return BinaryOp
Modifier and Type
Method
Description
`static BinaryOp`
HopRewriteUtils.`createBinary(Hop input1, Hop input2, String op)`
`static BinaryOp`
HopRewriteUtils.`createBinary(Hop input1, Hop input2, Types.OpOp2 op)`
`static BinaryOp`
HopRewriteUtils.`createBinary(Hop input1, Hop input2, Types.OpOp2 op, boolean outer)`
`static BinaryOp`
HopRewriteUtils.`createBinaryMinus(Hop input)`
Methods in org.apache.sysds.hops.rewrite with parameters of type BinaryOp
Modifier and Type
Method
Description
`static boolean`
HopRewriteUtils.`isEqualMatrixSize(BinaryOp hop)`